@ECHO OFF


if not exist %1 goto no-xml-file
if not exist %2 goto no-rng-file

echo.
echo ---------------------------------------------------------
echo Running the Jing Relax NG Validator with the following specification:
echo    - XML File Being Validated: %1
echo    - XML File Being Validated: %2
echo ---------------------------------------------------------

java -jar ..\..\..\relaxNG\jing\jing-20030619\bin\jing.jar -t ..\..\nvdl-rng-schema\nvdl.rng Camera.nvdl

echo.
echo Done.
echo.
goto eof


:no-params
    cls
    echo Oops! You need to run the batch file with two arguments.
    echo Here's how to use it ...
    echo.
    echo Usage: "validate <xml filename> <rng filename>" 
    echo.
    goto eof

:no-xml-file
   cls
   echo Oops! %1 does not exist
   echo Most likely reason: mistyped filename
   echo Exiting ...
   echo.
   goto eof

:no-rng-file
   cls
   echo Oops! %2 does not exist
   echo Most likely reason: mistyped filename
   echo Exiting ...
   echo.
   goto eof


:eof